Loading...
Searching...
No Matches
Exiv2::ScopedReadLock Class Reference

Class to provide a ScopedReadLock. The lock is applied by the constructor and released by the destructor. More...

`#include <rwlock.hpp>`

## Public Member Functions

| ScopedReadLock (RWLock &rwlock)
| constructor - locks the object
| ~ScopedReadLock ()
| destructor - unlocks the object used in constructor

## Detailed Description

Class to provide a ScopedReadLock. The lock is applied by the constructor and released by the destructor.

The documentation for this class was generated from the following file:

- rwlock.hpp